<?php

    $wsq_stream_in = fopen("./sample_image.wsq","rb");
    $wsq_stream_array = wsq_decode_stream($wsq_stream_in);
    fclose($wsq_stream_in);

if ( ! is_array($wsq_stream_array) ) 
{
    printf("Error: function wsq_decode_stream has returned value which is not the array");
    exit(0);
}


    $width = $wsq_stream_array["info"]["width"];
    $height = $wsq_stream_array["info"]["height"];
    $image_size = $width*$height;
 
if ( $image_size == strlen($wsq_stream_array["data"]) ) 
{
    $wsq_stream_out = fopen("./output_image.wsq","wb");

    $input_data_stream2 = $wsq_stream_array; // makes a copy of loaded image, creates data array of identical size
    $input_data_stream2["info"]["comment"] = $input_data_stream2["info"]["comment"]." added.";    


    // MAKE A MIRRORED/FLIPPED IMAGE (UP<->DOWN and LEFT<->RIGHT)
    for ($y = 0; $y < $height; $y++)
    {
        $row = $width * $y;
        $row2 = $width * ($height - $y - 1);
        for ($x = 0;  $x < $width; $x++)
        {
           $pixel_number = $row + $x;
           $pixel_number2 = $row2 + ($width - $x - 1);
           $input_data_stream2["data"][$pixel_number2] = $wsq_stream_array["data"][$pixel_number];
        }
    }
    // MAKE A MIRRORED/FLIPPED IMAGE (UP<->DOWN and LEFT<->RIGHT)
        
    
    if ( ! wsq_encode_stream($wsq_stream_out,$input_data_stream2,0.75) )
    {
    printf("Error encoding to stream\n");
    }


    fclose($wsq_stream_out);
   
}
else
{
    printf("Needed size %ld != actual size %ld",$image_size,strlen($wsq_stream_array["data"]));
}




?>
